Bug 181757 - Sound playback issues in MSI482M4 motherboards (ATI embedded Realtek ALC880)
Sound playback issues in MSI482M4 motherboards (ATI embedded Realtek ALC880)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-02-16 05:18 EST by Henrik Nordstrom
Modified: 2015-01-04 17:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-21 02:19:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Henrik Nordstrom 2006-02-16 05:18:22 EST
Description of problem:

Sound playback issues in MSI482M4 motherboards (ATI embedded Realtek ALC880)

Version-Release number of selected component (if applicable):

also verified in current Alsa CVS sources.

How reproducible:

Attempt to play any sound. The first 1/2 second or so is repeated infinitely.

Steps to Reproduce:
1.  aplay /usr/share/sounds/phone.wav 

Actual results:

Odd pulsing ring sound looping forever

Expected results:

old phone ring signal for a few seconds

Additional info:

snd-hda-intel option position_fix=1 (or 3) fixes the problem.

lspci -vv -d 00:14.2

        Subsystem: Micro-Star International Co., Ltd. Unknown device 7191
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 64, Cache Line Size 10
        Interrupt: pin ? routed to IRQ 177
        Region 0: Memory at fe9e8000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [60] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
                Address: 0000000000000000  Data: 0000
Comment 1 Henrik Nordstrom 2006-02-16 05:19:55 EST
The missing first line of lspci reads:

00:14.2 Audio device: ATI Technologies Inc Unknown device 437b (rev 01)
Comment 2 Rahul Sundaram 2006-02-20 06:16:57 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 3 Henrik Nordstrom 2006-02-20 11:52:50 EST
Still there. Quite expected as the bug is still open upstreams..

Did not test a full reinstall to check if the current sound installer has the
workaround mentioend above however.
Comment 4 Henrik Nordstrom 2006-03-17 16:33:22 EST
Upstream repors it being fixed in their current tree (and pushed to 2.6.16), but
I have not yet verified this.

Have also found a workaround. See the upstream bug report for details.
Comment 5 Henrik Nordstrom 2006-10-02 19:57:34 EDT
Seems fixed in FC6 test3.
Comment 6 Dave Jones 2006-10-16 15:09:18 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Henrik Nordstrom 2006-10-18 05:42:52 EDT
Currently running rawhide, and sound works fine by default.


if you want I can reboot and test the FC5 update as well. Still have FC5 around
on another partition.
Comment 8 Dave Jones 2006-10-21 02:19:09 EDT
should be fixed in FC5 too, as the alsa code is 1:1 with what's in rawhide.


Note You need to log in before you can comment on or make changes to this bug.